## xsd 3.3.0.1

=== debian/changelog ===
xsd (3.3.0.1-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Stop trying to apply binary git diffs with quilt (closes: #711950).

 -- Julien Cristau <jcristau@debian.org>  Sun, 01 Dec 2013 14:09:10 +0100

xsd (3.3.0.1-1.3) unstable; urgency=low

  * Non maintainer upload
  * Fix build failure with GCC 4.7.

 -- Matthias Klose <doko@debian.org>  Tue, 22 May 2012 16:38:15 +0000

xsd (3.3.0.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [  Konstantinos Margaritis ]
  * debian/patches/boost1.46.patch:
    - Fix FTBFS against boost1.46 (Closes: #624942).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 23 Aug 2011 22:06:28 +0200

xsd (3.3.0.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build fail on Renesas sh4 (Closes: #606057).
    Update debian/rules.
    When architecture of host is sh4, CXXFLAGS was added -mieee option.

 -- Nobuhiro Iwamatsu <iwamatsu@nigauri.org>  Fri, 11 Mar 2011 09:45:12 +0900

xsd (3.3.0.1-1) unstable; urgency=low

  * Use ASCII encoding instead of UCS-4LE to work around Xerces-C++ bug.
    Closes: #604256

 -- Raphael Bossek <bossekr@debian.org>  Mon, 22 Nov 2010 21:57:58 +0100

xsd (3.3.0-2) unstable; urgency=low

  * Added autotools-dev build dependency. Closes: #604086

 -- Raphael Bossek <bossekr@debian.org>  Sat, 20 Nov 2010 22:28:47 +0100

xsd (3.3.0-1) unstable; urgency=low

  * New upstream release. Closes: #556724
  * Update Automake files at build time. Closes: #536423

 -- Raphael Bossek <bossekr@debian.org>  Thu, 18 Nov 2010 21:27:00 +0100

xsd (3.2.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with new boost (>= 1.37.0) by using the “-mt” suffix for
    boost libraries since starting with this version, only this variant
    is available (Closes: #530484):
     + debian/patches: Add xsd_fix-boost-ftbfs.patch
     + debian/rules: Apply that patch.
  * Set urgency to “medium” since this bug affects testing too.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 18 Jul 2009 10:51:36 +0200

xsd (3.2.0.1-1) unstable; urgency=low

  * New upstream version. This version depends on Xerces-C 3.0.0 which
    is in experimental right now. (Closes: #505837)

 -- Raphael Bossek <bossekr@debian.org>  Sat, 06 Dec 2008 13:44:38 +0100

xsd (3.1.0.1-2) unstable; urgency=low

  * Added build dependency on libboost-date-time-dev.

 -- Raphael Bossek <bossekr@debian.org>  Wed, 18 Jun 2008 06:57:20 +0200

xsd (3.1.0.1-1) unstable; urgency=low

  * Update libcult to 1.4.1 to support GCC 4.3 (build errors).
  * Added m4 as build dependency.
  * Added README.source to confirm with standards version 3.8.0.

 -- Raphael Bossek <bossekr@debian.org>  Tue, 17 Jun 2008 07:04:15 +0200

xsd (3.1.0-4) unstable; urgency=low

  * Try to suppress compilation errors by disable not obsolate implementation
    (as mentioned in error report #482569) (Closes: #485843)

 -- Raphael Bossek <bossekr@debian.org>  Sun, 15 Jun 2008 21:46:20 +0200

xsd (3.1.0-3) unstable; urgency=low

  * Removed old build dependency on libxerces25-dev. (Closes: #483965)

 -- Raphael Bossek <bossekr@debian.org>  Mon, 02 Jun 2008 21:00:43 +0200

xsd (3.1.0-2) unstable; urgency=low

  * Fixed bulid problem. (Closes: #482569)

 -- Raphael Bossek <bossekr@debian.org>  Mon, 26 May 2008 12:14:37 +0200

xsd (3.1.0-1) unstable; urgency=low

  * Initial release (Closes: #479523)

 -- Raphael Bossek <bossekr@debian.org>  Sat, 16 Feb 2008 19:26:38 +0100
