## xsd 4.0.0

=== debian/changelog ===
xsd (4.0.0-8build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:04:03 +0100

xsd (4.0.0-8) unstable; urgency=medium

  * Team upload.
  * Moved packaging to Salsa (after several pings via e-mail)
  * cme fix dpkg-control
  * Secure URI in watch file
  * debian/rules:
     - Remove useless dh-make boilerplate
     - drop in debhelper 9 unneeded autotools-dev

 -- Andreas Tille <tille@debian.org>  Sat, 05 May 2018 19:42:32 +0200

xsd (4.0.0-7) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New debian/patches/0110-xerces-c3.2.patch (Closes: #881108):
    - Remove tests for character reference values unsupported by Xerces-C++ 3.2.
      Thanks to Boris Kolpackov <boris@codesynthesis.com>.
  * Change to my new email-address:
   - debian/control,
   - debian/copyright.

  [ Andreas Tille ]
  * Fix Vcs-Git
  * Priority: extra -> optional
  * Remove explicit Build-Depends: dpkg-dev

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 08 Nov 2017 19:25:38 +0100

xsd (4.0.0-6) unstable; urgency=medium

  * Fix parallel building (Closes: #823271).
    Thanks to Pino Toscano <pino@debian.org>
  * debian/control:
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Use http URI for the homepage.
  * debian/copyright:
    - Move the license text in alphabetical order to the end.
    - Remove trailing whitespaces.
  * New upstream patch: 0105-Fix_path_handling_bug.patch.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 11 Sep 2016 04:49:55 +0200

xsd (4.0.0-5) unstable; urgency=medium

  * debian/patches/0100-C++Parser_Expat_support.patch:
    - Add upstream commit (LP: #1560565).
  * debian/control:
    - Bump Standards-Version to 3.9.7 (no changes required).
    - Use secure URI's.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 10 Apr 2016 03:37:25 +0200

xsd (4.0.0-4) unstable; urgency=medium

  * debian/rules:
    - Add test if NO_CPUS == 0 to prevent build errors
      on some architetures.
    - Use nproc from coreutils to get the number of processors.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 07 Feb 2016 19:02:02 +0100

xsd (4.0.0-3) unstable; urgency=low

  * debian/copyright:
    - Add year 2016 to debian/*.
  * debian/watch:
    - Set version=4 (no changes required).
  * New debian/patches/0700_hurd_PATH_MAX.patch:
    - Add PATH_MAX for hurd (Closes: #784425).
  * debian/control:
    - Remove trailing whitespaces.
    - Change VCS-Browser to cgit.
  * debian/xsdcxx.lintian-overrides:
    - Add override for hardening-no-fortify-functions.
  * debian/rules:
    - Remove comments "Test for gcc-5 support".

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 17 Jan 2016 13:54:03 +0100

xsd (4.0.0-2) unstable; urgency=medium

  * debian/rules:
    - Add "make xsd_clean_gen=n clean" to override_dh_clean to
      build the cli at build time (Closes: #794440).
    - Reduce buildtime (Closes: #795545):
      + Add overrides for dh_auto_build and dh_auto_test to change
        the make parameter -j to the current number of CPUs.
      + Add --parallel to dh call.
    - Add "export verbose=1" to increase the verbosity (Closes: #795547).
    - Remove useless hardening lines.
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes required).
  * debian/copyright:
    - Add year 2015 to debian/*.
    - Change directory from xsd/documentation to xsd/doc.
    - Refresh file list.
  * Remove useless debian/source/options.
  * Upload to rebuild for the GCC5 transition (Closes: #793289).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 19 Aug 2015 12:23:23 +0200

xsd (4.0.0-1) unstable; urgency=medium

  * New upstream release:
    - Remove debian/patch/0002-bigendian.patch.
    - Remove directory debian/bigendian.
    - Refresh patches.
  * debian/watch
    - Change regex to find all releases.
  * rewrite debian/rules.
  * debian/control:
    - Build-Depends:
      + Remove obsolete hardenning-wrapper.
  * Add debian/patches/0100-C++Parser_Expat_support.patch
    - Fix bug in C++/Parser Expat support.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 21 Jul 2014 22:19:27 +0200

xsd (3.3.0.2-3) unstable; urgency=medium

  * debian/rules
    - add --with autotools-dev 
      to prevent build errors on ppc64el & arm64 
      thanks to Dimitri John Ledkov
    - add ubuntu apport hook
    - change hardening to debhelper >= 9 
  * debian/source
    - add options
      compression xz
  * debian/ubuntu
    -add apport-hook.py

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 24 May 2014 19:12:08 +0200

xsd (3.3.0.2-2) unstable; urgency=medium

  * add patch to prevent builderrors on big-endian systems
    - new patch 0002-bigendian.patch
    - based on patches for bug #604256
  * debian/rules
    - use debhelper vars
    - replacement of 2 test.std files
  * debian/control
    - add dpkg-dev (>= 1.15.4) to Build-Depends

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 18 May 2014 12:24:50 +0200

xsd (3.3.0.2-1) unstable; urgency=low

  * rewrite debian/copyright
  * replace old tarball-in-tarball to the Upstream-tarball
  * remove 
    - patches included in tarball
    - debian/README.source
  * add hardenning-wrapper to Build-Depends
  * rewrite debian/rules
  * rename debian/patches/xsd_xsdcxx-rename.patch to 
      0001-xsd_xsdcxx-rename.patch
  * add file xsdcxx.lintian-overrides
    - duplicate-files
  * change debian/compat to 9
  * change Standards-Version to 3.9.5
  * change debhelper to >= 9
  * add debian/doc-base
  * move Homepage to debian/control source section
  * rename xsdcxx.watch to watch
  * change to upstream 3.3.0.2
  * New Maintainer (Closes: #741475)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 20 Apr 2014 16:26:04 +0200
