=== debian/control ===
Source: xsd
Maintainer: Jörg Frings-Fürst <debian@jff.email>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9),
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-regex-dev,
               libxerces-c-dev,
               m4
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian/xsd
Vcs-Git: https://salsa.debian.org/debian/xsd.git
Homepage: http://codesynthesis.com

Package: xsdcxx
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: XML Data Binding for C++
 CodeSynthesis XSD is an open-source, cross-platform W3C XML Schema to
 C++ data binding compiler. Provided with an XML instance specification
 (XML Schema), it generates C++ classes that represent the given
 vocabulary as well as parsing and serialization code.
 You can then access the data stored in XML using types and functions
 that semantically correspond to your application domain rather than
 dealing with intricacies of reading and writing XML.
