=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
https://codesynthesis.com/download/xsd/(\d+)\.(\d+)/xsd-(\d+)\.(\d+)\.(\d+)[-(\d+)]?\+dep\.tar\.bz2
